import { StyleSheet } from 'react-native';
import { Colors } from '../../../../theme';
import { getFontSize } from '../../../../utils';

export const styles = StyleSheet.create({
  modalContent: {
    backgroundColor: 'white',
    borderRadius: 15,
    paddingHorizontal: 16,
    gap: 12,
    paddingVertical: 12,
    height: '90%'
  },
  regionName: {
    fontSize: 12,
    fontWeight: '600',
    color: Colors.DARK_BLUE,
    flex: 1
  },
  regionsFlag: {
    width: 32,
    height: 32,
    borderRadius: 32 / 2,
    borderWidth: 1,
    borderColor: Colors.FILL_LIGHT
  },
  header: {
    width: '100%',
    display: 'flex',
    justifyContent: 'space-between',
    flexDirection: 'row',
    alignItems: 'center'
  },
  headerText: {
    fontFamily: 'redhat-600',
    fontSize: getFontSize(14),
    color: Colors.DARK_BLUE
  },
  item: {
    flexDirection: 'row',
    gap: 8,
    alignItems: 'center',
    flex: 1,
    marginBottom: 12
  }
});
